.popup {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    z-index: 9999;
}

.popup-content {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: #fff;
    padding: 20px;
    box-shadow: 0 2px 8px rgba(0, 0, 0, 0.3);
    max-width: 90%;
    max-height: 90%;
    overflow: auto;
}
.popup-text {
    text-align: justify;
    text-shadow: none;
    margin: 12px;
}

.close {
    position: absolute;
    top: 10px;
    right: 12px;
    font-size: 36px;
    cursor: pointer;
}

.close:hover {
    color: #ff0000;
}

@media (max-width: 768px) {
    .popup-content {
        width: 400px; 
    }
}